<?php
// modules/PageTitleModule.php

ini_set('display_errors', 1);
error_reporting(E_ALL);

// Helper function if not already defined
if (!function_exists('esc')) {
    function esc($string) {
        return htmlspecialchars($string, ENT_QUOTES, 'UTF-8');
    }
}

class PageTitleModule {
    private $settings;
    private $instanceId;

    public function __construct($instanceId = '', $settings = []) {
        $this->instanceId = $instanceId ?: uniqid('pageTitle_');
        // Default sample title text
        $this->settings = array_merge([
            'title' => 'LIBERATING MY OFFENDERS',
        ], $settings);
    }

    public function render() {
        ob_start();
        ?>
        <div class="module-preview page-title-module" data-module="PageTitleModule" data-module-id="<?php echo esc($this->instanceId); ?>">
            <h1 style="font-size: 2em; font-weight: bold; margin-bottom: 10px;">
                <?php echo esc($this->settings['title']); ?>
            </h1>
        </div>
        <?php
        return ob_get_clean();
    }

    // Added renderPreview method
    public function renderPreview() {
        return '<div class="module-preview" data-module="PageTitleModule"><strong>Title:</strong> '.esc($this->settings['title']).'</div>';
    }
}
?>
