<?php
/*
Module Name: Title Page
Module Type: layout
Settings:
    title: text
    subtitle: text
    author: text
    top_logo: image
    topLogoSize: slider
    bottom_left_logo: image
    leftLogoSize: slider
    bottom_right_logo: image
    rightLogoSize: slider
*/
// Ensure default values if not provided.
if (!isset($settings)) { $settings = []; }
if (!isset($instanceId)) { $instanceId = ''; }

// Prepare inline style for logos
$topLogoStyle   = isset($settings['topLogoSize']) && !empty($settings['topLogoSize']) ? "width:" . esc($settings['topLogoSize']) . "%;" : "";
$leftLogoStyle  = isset($settings['leftLogoSize']) && !empty($settings['leftLogoSize']) ? "width:" . esc($settings['leftLogoSize']) . "%;" : "";
$rightLogoStyle = isset($settings['rightLogoSize']) && !empty($settings['rightLogoSize']) ? "width:" . esc($settings['rightLogoSize']) . "%;" : "";
?>
<div class="title-page-container" id="<?= esc($instanceId) ?>">
    <!-- Top Logo -->
    <div class="top-logo">
        <img 
            id="topLogoPlaceholder" 
            src="<?= isset($settings['topLogo']) && !empty($settings['topLogo']) ? esc($settings['topLogo']) : base_url('logo-placeholder-image.png'); ?>" 
            alt="Logo Placeholder"
            style="<?= $topLogoStyle ?>"
        />
    </div>

    <!-- Title & Subtitle Section -->
    <div class="title-section">
        <div class="title-line"></div>
        <h1 id="title"><?= isset($settings['title']) && !empty($settings['title']) ? esc($settings['title']) : 'Enter Title Here'; ?></h1>
        <h2 id="subtitle"><?= isset($settings['subtitle']) && !empty($settings['subtitle']) ? esc($settings['subtitle']) : 'Enter Subtitle Here'; ?></h2>
        <div class="title-line"></div>
        <h3 id="authorName"><?= isset($settings['author']) && !empty($settings['author']) ? 'By ' . esc($settings['author']) : 'By Author Name'; ?></h3>
    </div>

    <!-- Combined Bottom Section: Begin Button and Bottom Logos -->
    <div class="bottom-logos">
        <div class="logo-container left-logo">
            <img
                id="bottomLeftLogoPlaceholder"
                src="<?= isset($settings['leftLogo']) && !empty($settings['leftLogo']) ? esc($settings['leftLogo']) : base_url('logo-placeholder-image.png'); ?>"
                alt="Left Logo"
                style="<?= $leftLogoStyle ?>"
            />
        </div>
        <button id="beginButton">Begin</button>
        <div class="logo-container right-logo">
            <img
                id="bottomRightLogoPlaceholder"
                src="<?= isset($settings['rightLogo']) && !empty($settings['rightLogo']) ? esc($settings['rightLogo']) : base_url('logo-placeholder-image.png'); ?>"
                alt="Right Logo"
                style="<?= $rightLogoStyle ?>"
            />
        </div>
    </div>
</div>
