<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);

use Config\Database;

// ✅ Try connecting using CodeIgniter's Database class
try {
    $db = Database::connect();
    echo "<p style='color: green;'>✅ Connected to database using CodeIgniter's Database::connect()!</p>";
} catch (\Exception $e) {
    die("<p style='color: red;'>❌ ERROR: Database connection failed: " . $e->getMessage() . "</p>");
}

// ✅ Run a test query to check tables
try {
    $query = $db->query("SHOW TABLES");
    $tables = $query->getResultArray();

    if (!empty($tables)) {
        echo "<p style='color: green;'>✅ Database connection successful! Found tables:</p><ul>";
        foreach ($tables as $table) {
            echo "<li>" . array_values($table)[0] . "</li>";
        }
        echo "</ul>";
    } else {
        echo "<p style='color: orange;'>⚠️ Database connection is working, but no tables were found.</p>";
    }
} catch (\Exception $e) {
    echo "<p style='color: red;'>❌ ERROR: Database query failed: " . $e->getMessage() . "</p>";
}
